whatis([==[My compiled version of GPAW]==])

unload("GPAW")

function ld (m)
    if not ( isloaded(m) ) then
        load(m)
    end
end

ld("ase/dev")
ld("libxc/4.3.4")
ld("gpaw-setups/0.9.20000")

local _, version = splitFileName(myModuleVersion())
local nobackup   = os.getenv("MYNOBACKUP")
local root       = pathJoin(nobackup, "git/gpaw", version)

setenv("OMP_NUM_THREADS", 1)
prepend_path("PATH", pathJoin(root, "tools"))
prepend_path("PYTHONPATH", root)
prepend_path("PYTHONPATH", pathJoin(root, "build/lib.linux-x86_64-3.7"))
execute {cmd='complete -o default -C "/usr/bin/python3 ' .. root .. '/gpaw/cli/complete.py" gpaw', modeA={"load"}}
